NAME
OpenAPI::Client::OpenAI::Path::organization-projects-project_id-api_keys - Documentation for the /organization/projects/{project_id}/api_keys path.
OPERATIONS
GET /organization/projects/{project_id}/api_keys
list-project-api-keys
$client->list_project_api_keys({
body => { ... },
});
Returns a list of API keys in the project.
Path/query parameters
project_id(in path, required, string) - The ID of the project.limit(in query, optional, integer) - A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.Default: 20
after(in query, optional, string) - A cursor for use in pagination.afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
Responses
200 - Project API keys listed successfully.
Content-Type: application/json
Example:
{
"data" : [
"{\n \"object\": \"organization.project.api_key\",\n \"redacted_value\": \"sk-abc...def\",\n \"name\": \"My API Key\",\n \"created_at\": 1711471533,\n \"last_used_at\": 1711471534,\n \"id\": \"key_abc\",\n \"owner\": {\n \"type\": \"user\",\n \"user\": {\n \"id\": \"user_abc\",\n \"name\": \"First Last\",\n \"email\": \"user@example.com\",\n \"role\": \"owner\",\n \"created_at\": 1711471533\n }\n }\n}\n"
],
"first_id" : "string",
"has_more" : false,
"last_id" : "string",
"object" : "list"
}
SCHEMAS
ProjectApiKey
Properties:
created_at(integer, required) - The Unix timestamp (in seconds) of when the API key was createdid(string, required) - The identifier, which can be referenced in API endpointslast_used_at(anyOf, required) - The Unix timestamp (in seconds) of when the API key was last used.name(string, required) - The name of the API keyobject(string, required) - The object type, which is alwaysorganization.project.api_keyAllowed values: organization.project.api_key
owner(object, required)redacted_value(string, required) - The redacted value of the API key
ProjectApiKeyListResponse
Properties:
data(array of ProjectApiKey, required)first_id(anyOf)has_more(boolean, required)last_id(anyOf)object(string, required)Allowed values: list
ProjectApiKeyOwnerServiceAccount
Properties:
created_at(integer, required) - The Unix timestamp (in seconds) of when the service account was created.id(string, required) - The identifier, which can be referenced in API endpointsname(string, required) - The name of the service account.role(string, required) - The service account's project role.
ProjectApiKeyOwnerUser
Properties:
created_at(integer, required) - The Unix timestamp (in seconds) of when the user was created.email(string, required) - The email address of the user.id(string, required) - The identifier, which can be referenced in API endpointsname(string, required) - The name of the user.role(string, required) - The user's project role.
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.